Lấy thông tin khóa học theo ID
curl --request GET \
--url https://api.fireant.vn/academy/courses/{courseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/academy/courses/{courseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/academy/courses/{courseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/academy/courses/{courseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/academy/courses/{courseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/academy/courses/{courseId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/academy/courses/{courseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"courseId": 123,
"name": "<string>",
"duration": 123,
"lessonsAmount": 123,
"timetable": "<string>",
"description": "<string>",
"content": "<string>",
"objective": "<string>",
"level": "<string>",
"fee": 123,
"subject": {
"subjectId": 123,
"name": "<string>"
},
"isHot": true,
"image": "aSDinaTvuI8gbWludGxpZnk=",
"introduction": "<string>",
"isOnline": true,
"classId": 123,
"teachers": [
{
"roleId": 123,
"id": "<string>",
"userName": "<string>",
"name": "<string>",
"introduction": "<string>",
"gender": 0,
"photo": "aSDinaTvuI8gbWludGxpZnk="
}
],
"lessons": [
{
"lessonId": 123,
"lessonName": "<string>",
"hasAttachedFile": true,
"content": "<string>",
"videoUrl": "<string>",
"courseId": 123,
"positionIndex": 123,
"course": "<unknown>"
}
],
"type": 0,
"benefit": "<string>",
"revenueCatId": "<string>"
}
]Academy
Lấy thông tin khóa học theo ID
GET
/
academy
/
courses
/
{courseId}
Lấy thông tin khóa học theo ID
curl --request GET \
--url https://api.fireant.vn/academy/courses/{courseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/academy/courses/{courseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/academy/courses/{courseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/academy/courses/{courseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/academy/courses/{courseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/academy/courses/{courseId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/academy/courses/{courseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"courseId": 123,
"name": "<string>",
"duration": 123,
"lessonsAmount": 123,
"timetable": "<string>",
"description": "<string>",
"content": "<string>",
"objective": "<string>",
"level": "<string>",
"fee": 123,
"subject": {
"subjectId": 123,
"name": "<string>"
},
"isHot": true,
"image": "aSDinaTvuI8gbWludGxpZnk=",
"introduction": "<string>",
"isOnline": true,
"classId": 123,
"teachers": [
{
"roleId": 123,
"id": "<string>",
"userName": "<string>",
"name": "<string>",
"introduction": "<string>",
"gender": 0,
"photo": "aSDinaTvuI8gbWludGxpZnk="
}
],
"lessons": [
{
"lessonId": 123,
"lessonName": "<string>",
"hasAttachedFile": true,
"content": "<string>",
"videoUrl": "<string>",
"courseId": 123,
"positionIndex": 123,
"course": "<unknown>"
}
],
"type": 0,
"benefit": "<string>",
"revenueCatId": "<string>"
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
ID của khóa học
Phản hồi
Thành công
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
(Learning = Khóa học, Seminar = Hội thảo)
Tùy chọn có sẵn:
0, 1